from django.urls import path

from rest_framework_simplejwt.views import (
    TokenObtainPairView,
    TokenRefreshView,
    TokenVerifyView,
)

from .views import *

urlpatterns = [
    #to do: costumize this!
    path('register/', register_service, name='register_service'),
    #post username and password, get access and refresh token
    path('', TokenObtainPairView.as_view(), name='token_obtain_pair'),
    #post refresh token to this url to get a new access token
    path('refresh/', TokenRefreshView.as_view(), name='token_refresh'),
    #validates the access token
    path('verify/', TokenVerifyView.as_view(), name='token_verify'),
]
